gnutls_x509_crt_get_ca_status(3)

NAME
gnutls_x509_crt_get_ca_status - API function

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_crt_get_ca_status(gnutls_x509_crt_t cert, unsigned int * critical);

ARGUMENTS

gnutls_x509_crt_t cert
    should contain a gnutls_x509_crt_t structure

unsigned int * critical
    will be non zero if the extension is marked as critical

DESCRIPTION
This function will return certificates CA status, by reading the basicConstraints X.509 extension (2.5.29.19). If the certificate is a CA a positive value will be returned, or zero if the certificate does not have CA flag set. Use gnutls_x509_crt_get_basic_constraints() if you want to read the pathLenConstraint field too.

RETURNS
A negative value may be returned in case of parsing error. If the certificate does not contain the basicConstraints extension GNUTLS_E_REQUESTED_DATA_NOT_AVAILABLE will be returned.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>. GnuTLS home page: http://www.gnu.org/software/gnutls/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.